#!/bin/sh
#--------------------
# PSMT 2.0
# 2013.03.26 update
# 2020.06.30 VDF only
# 
LEVEL=$1

BACKUP=/var/www/manager/update/backup$LEVEL
DOWNLOAD=/var/www/html/download

if [ ! -d $DOWNLOAD ]
then
    mkdir $DOWNLOAD
    chown psmtadm:psmtadm $DOWNLOAD
fi

rm $DOWNLOAD/backup$LEVEL-* > /dev/null 2>&1

if [ ! -d $BACKUP ]
then
    echo "backup data not exist(level:$LEVEL)"
    exit 1
fi

cd $BACKUP

#tar zcf $DOWNLOAD/backup$LEVEL-clamav.tar.gz ./clamav/engine/*
tar zcf $DOWNLOAD/backup$LEVEL-vdf.tar.gz ./*.cvd
#chmod a+x ./ibm/605/PSHB08/*
#tar zcf $DOWNLOAD/backup$LEVEL-proscan.tar.gz ./ibm/605/PSHB08/*

exit 0
